# TODO:
# - vim doesn't detect filetype
# - pass LDFLAGS (fix as-needed problem first)
Summary:	tmux is a terminal multiplexer
Summary(hu.UTF-8):	tmux egy terminál-sokszorozó
Name:		tmux
Version:	1.8
Release:	2
License:	BSD
Group:		Applications/Terminal
Source0:	http://downloads.sourceforge.net/tmux/%{name}-%{version}.tar.gz
# Source0-md5:	b9477de2fe660244cbc6e6d7e668ea0e
Source1:	%{name}-filedetect.vim
Patch0:		%{name}-term.patch
URL:		http://tmux.sourceforge.net/
BuildRequires:	libevent-devel
BuildRequires:	ncurses-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
tmux is a terminal multiplexer: it enables a number of terminals (or
windows), each running a separate program, to be created, accessed,
and controlled from a single screen. tmux may be detached from a
screen and continue running in the background, then later reattached.

%description -l hu.UTF-8
tmux egy terminál-sokszorozó: terminálok (vagy ablakok) sokaságát
hozhatd létre, mindegyikben egy külön program fut, létrehozhatsz,
csatlakozhatsz és irányíthatod egyetlen képernyőről. tmux
lecsatlakozhat a képernyőről és folytathatja a futását a háttérben, és
később újracsatlakozhatsz.

%package -n vim-syntax-tmux
Summary:	Vim syntax file to tmux config files
Summary(hu.UTF-8):	Vim syntax fájl a tmux konfigurációs fájljához
Group:		Applications/Editors/Vim

%description -n vim-syntax-tmux
Vim syntax file to tmux config files.

%description -n vim-syntax-tmux -l hu.UTF-8
Vim syntax fájl a tmux konfigurációs fájljához.

%package -n bash-completion-tmux
Summary:	Bash completion for tmux
Group:		Applications/Shells
Requires:	bash-completion

%description -n bash-completion-tmux
This package provides bash-completion for tmux.

%prep
%setup -q
%patch0 -p1

%build
%{__aclocal}
%{__autoconf}
%configure \
	CPPFLAGS="-I/usr/include/ncursesw"

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	PREFIX=%{_prefix}

install -d $RPM_BUILD_ROOT%{_datadir}/vim/vimfiles/{ftdetect,syntax}
install %{SOURCE1} $RPM_BUILD_ROOT%{_datadir}/vim/vimfiles/ftdetect/tmux.vim
install examples/tmux.vim $RPM_BUILD_ROOT%{_datadir}/vim/vimfiles/syntax
install -d $RPM_BUILD_ROOT%{_datadir}/bash-completion
install examples/bash_completion_tmux.sh $RPM_BUILD_ROOT%{_datadir}/bash-completion/%{name}
install -d $RPM_BUILD_ROOT%{_sysconfdir}/bash_completion.d
ln -s ../../%{_datadir}/bash-completion/%{name} $RPM_BUILD_ROOT%{_sysconfdir}/bash_completion.d

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc CHANGES FAQ README TODO examples/*.conf
%attr(755,root,root) %{_bindir}/*
%{_mandir}/man1/tmux*

%files -n vim-syntax-tmux
%defattr(644,root,root,755)
%{_datadir}/vim/vimfiles/ftdetect/tmux.vim
%{_datadir}/vim/vimfiles/syntax/tmux.vim

%files -n bash-completion-tmux
%defattr(644,root,root,755)
%{_sysconfdir}/bash_completion.d/%{name}
%{_datadir}/bash-completion/%{name}
%changelog
* Wed Nov 27 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/tmux.git;a=log;h=master

* Wed Nov 27 2013 Jan Rękorajski <baggins@pld-linux.org> 9821650
- fixed files
- rel 2

* Wed Nov 27 2013 Jan Rękorajski <baggins@pld-linux.org> 91e5f4f
- up to 1.8

* Tue Jan 29 2013 Kacper Kornet <draenog@pld-linux.org> 86ea15b
- up to 1.7

* Tue Jan 24 2012 Zsolt Udvari <uzsolt@pld-linux.org> 2b9632d
- 1.6

* Thu Sep 01 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 1d23b60
- release 3

* Wed Aug 31 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 6520481
- release 2

* Wed Jul 13 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 27a56cc
- rel 1; builds

* Wed Jul 13 2011 Zsolt Udvari <uzsolt@pld-linux.org> bdef13e
- 1.5
- rel 0.1 (does not build, curses not found)

* Thu Jun 02 2011 Zsolt Udvari <uzsolt@pld-linux.org> 596f5bc
- correct bash-completion group
- adapter

* Thu Feb 24 2011 lisu <lisu@pld-linux.org> 049b384
- rel 3 (new libevent)

* Tue Feb 15 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> b8113c9
- rpmcppflags

* Fri Feb 11 2011 Zsolt Udvari <uzsolt@pld-linux.org> 7631882
- bash-completion-tmux requires bash-completion

* Thu Feb 10 2011 Zsolt Udvari <uzsolt@pld-linux.org> ee0f9a2
- bash-completion package
- rel 2

* Tue Dec 28 2010 aredridel <aredridel@pld-linux.org> 3cebd4c
- 1.4

* Mon Jul 19 2010 lisu <lisu@pld-linux.org> ed019aa
- more TODO

* Mon Jul 19 2010 Zsolt Udvari <uzsolt@pld-linux.org> 953f772
- updated to 1.3

* Mon Jul 19 2010 Zsolt Udvari <uzsolt@pld-linux.org> 42d0ad8
- 1.3

* Tue Mar 16 2010 Zsolt Udvari <uzsolt@pld-linux.org> 05eab48
- 1.2
- libevent-devel BR
- use pld-specific cc

* Thu Nov 19 2009 Zsolt Udvari <uzsolt@pld-linux.org> 21dfa49
- rel 1 (works for me)
- vim-specific TODO

* Fri Nov 13 2009 Zsolt Udvari <uzsolt@pld-linux.org> 6390aa1
- ncurses-devel BR

